/*
*********************************************************************************************************
*
*                                             EXAMPLE CODE
*
*                          (c) Copyright 2003-2006; Micrium, Inc.; Weston, FL
*
*               All rights reserved.  Protected by international copyright laws.
*
*               Knowledge of the source code may NOT be used to develop a similar product.
*
*               Please help us continue to provide the Embedded community with the finest
*               software available.  Your honesty is greatly appreciated.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                           GNU LINKER SCRIPT
*
* Filename      : CSB_ARM_RAM_link.lds
* Version       : V1.88
* Programmer(s) : Jean-Denis Hatier
*********************************************************************************************************
*/

OUTPUT_ARCH(arm)
OUTPUT_FORMAT("elf32-littlearm")
ENTRY(start)

SECTIONS
{
   . = 0x20100000;

   . = ALIGN(4);
   .boot    : { *(.boot)   }

   . = ALIGN(4);
   .text    : { *(.text)   }

   . = ALIGN(4);
   .rodata  : { *(.rodata) }

   . = ALIGN(4);
   .data    : { *(.data)   }

   . = ALIGN(4);
   _bss     = .;
   .bss     : { *(.bss)    }
   _ebss    = .;
   end      = .;

   . = ALIGN(4);
   _estack  = .;
   _heap    = .;
   .        = . + 0x100;                                        /* Global stack and heap memory size: 256 bytes.        */
   _stack   = .;
   _eheap   = .;
}
